from django.conf import settings
from django.views.generic import TemplateView


class IndexView(TemplateView):
    template_name = "frontend/index.html"


class ProfileView(TemplateView):
    template_name = "frontend/profile.html"

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        keycloak_server_url = settings.SOCIALACCOUNT_PROVIDERS["openid_connect"][
            "APPS"
        ][0]["settings"]["server_url"]
        account_url = keycloak_server_url.replace(
            "/.well-known/openid-configuration", "/account"
        )
        context["account_href"] = account_url
        return context
